Subject: Re: [bug#61946] Go generated files

From: Hilton Chain <[email-masked]>
Date: Thu, 10 Aug 2023 20:12:17 +0800

Hi Thomas,

> I forgot to check for generated files in the go packages.
> I did just that and there is indeed one file hash.go that is generated
> in the parse and minify package.
>
> Taking care of this and resending later.

go-github-com-tdewolff-minify-v2 has been available in Guix for a
while (but not the minify command and its dependency).  I have sent a
patchset [1] to generate hash.go at build time.  Can you update the
series to base on it and current Guix?

And I think dependencies not added to go-github-com-tdewolff-minify-v2
are only required by minify command, so there's no need to touch
definition of the former, inherit and modify is sufficient.  What do
you think?

Thanks

[1]: <https://issues.guix.gnu.org/65204>